curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"meeting_outcomes": [
{
"id": "59413def-60eb-47c6-b390-098fcf583b66",
"name": "Pricing Discussion",
"color": "yellow",
"kind": "custom",
"color_hex": "#EAB308",
"is_system": false,
"is_organization_owned": true
}
]
}List meeting outcomes
List all meeting outcomes in the workspace, including both organization-owned and system-defined outcomes. Supports filtering by search term.
curl --request GET \
--url https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetocal.com/api/external/v2/meeting-outcomes"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"meeting_outcomes": [
{
"id": "59413def-60eb-47c6-b390-098fcf583b66",
"name": "Pricing Discussion",
"color": "yellow",
"kind": "custom",
"color_hex": "#EAB308",
"is_system": false,
"is_organization_owned": true
}
]
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Filter meeting outcomes by name.
Response
OK - Request succeeded
List of meeting outcomes.
Hide child attributes
Hide child attributes
Unique identifier for the meeting outcome.
"59413def-60eb-47c6-b390-098fcf583b66"
Name of the meeting outcome.
"Pricing Discussion"
Color assigned to the meeting outcome.
blue, orange, gray, red, yellow, violet, pink, teal, cyan, green "yellow"
Kind of the meeting outcome.
"custom"
Hex color code for the meeting outcome.
"#EAB308"
Whether this is a system-defined meeting outcome. System outcomes cannot be modified or deleted.
false
Whether this outcome belongs to the organization.
true